﻿ASP.NET API versioning gives you a powerful, but easy-to-use method for adding API versioning semantics to your new
and existing REST services built with ASP.NET Core. The API versioning extensions define simple metadata attributes
and conventions that you use to describe which API versions are implemented by your services.

This package contains the foundational library for API versioning with ASP.NET Core and only includes support for
Minimal APIs. For additional functionality provided by ASP.NET Core MVC use the
[API Versioning MVC](https://www.nuget.org/packages/Asp.Versioning.Mvc) package.

## Commonly Used Types

- Asp.Versioning.ApiVersioningOptions
- Asp.Versioning.ApiVersionDescription
- Asp.Versioning.ApiVersionReader
- Asp.Versioning.IApiVersionDescriptionProvider
- Asp.Versioning.IApiVersionSelector
- Asp.Versioning.IReportApiVersions
- Asp.Versioning.ISunsetPolicyBuilder
- Asp.Versioning.ISunsetPolicyManager
- Asp.Versioning.QueryStringApiVersionReader

## Release Notes

https://github.com/dotnet/aspnet-api-versioning/releases/tag/v8.1.0
